using System;

namespace MimeSamples
{
    public class ContentTextBox : System.Windows.Forms.TextBox
    {
        // Indicates whether the message was modified.
        private bool _changed;

        public bool Changed
        {
            get
            {
                return _changed;
            }
            set
            {
                _changed = value;
            }
        }

        protected override void OnTextChanged(EventArgs e)
        {
            base.OnTextChanged(e);
            _changed = true;
        }
    }
}
